Package org.eclipse.rdf4j.query.resultio.text.tsv

## Class SPARQLStarResultsTSVParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser
    - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVParser
      - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLStarResultsTSVParser

- All Implemented Interfaces:
    `QueryResultParser`, `TupleQueryResultParser`
  Direct Known Subclasses:
    `SPARQLStarResultsTSVParser`

      public class SPARQLStarResultsTSVParser
      extends SPARQLResultsTSVParser

  Parser for SPARQL-star TSV results. This is equivalent to the SPARQL TSV parser with the addition of support for RDF-star triples. Serialized triples must be in Turtle-star fashion with the notable exception that any embedded literals may not use the triple quotes notation (as regular literals in SPARQL TSV).
  Author:
    Pavel Mihaylov, Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SPARQLStarResultsTSVParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` | Gets the query result format that this parser can parse.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVParser

      `createMappingStrategy, parse`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractTupleQueryResultParser

      `getQueryResultFormat, parseQueryResult, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, getSupportedSettings, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getQueryResultFormat, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.TupleQueryResultParser

      `setTupleQueryResultHandler`

- - ### Constructor Detail

    - #### SPARQLStarResultsTSVParser

          public SPARQLStarResultsTSVParser()

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultParser`
      Overrides:
        `getTupleQueryResultFormat` in class `SPARQLResultsTSVParser`